/*
 * citcurses.h  -  an attempt at a curses include file that will be happy
 *                 with several different curses implementations.
 *
 * see copyright.doc for copyright information
 */ 


#ifdef OK
#undef OK
#endif

#ifdef ERROR
#undef ERROR
#endif


#include <curses.h>

#ifndef ACS_ULCORNER
#define ACS_ULCORNER	'+'
#endif

#ifndef ACS_URCORNER
#define ACS_URCORNER	'+'
#endif

#ifndef ACS_LLCORNER
#define ACS_LLCORNER	'+'
#endif

#ifndef ACS_LRCORNER
#define ACS_LRCORNER	'+'
#endif

#ifndef ACS_HLINE
#define ACS_HLINE	'-'
#endif

#ifndef ACS_VLINE
#define ACS_VLINE	'|'
#endif

#ifndef ACS_BLOCK
#define ACS_BLOCK	'#'
#endif

#ifndef KEY_PPAGE
#define KEY_PPAGE	21
#endif

#ifndef KEY_NPAGE
#define KEY_NPAGE	22
#endif

#ifndef KEY_LEFT
#define KEY_LEFT	2
#endif

#ifndef KEY_RIGHT
#define KEY_RIGHT	6
#endif

#ifndef KEY_UP
#define KEY_UP		16
#endif

#ifndef KEY_DOWN
#define KEY_DOWN	14
#endif

#define rev_on()	standout()
#define rev_off()	standend()
