#include <fcntl.h>
#include <stdio.h>
#include <ctype.h>
#include "citadel.h"

long atol();
long lseek();

eopen(name,mode)
char *name;
int mode; {
	int ret;
	ret=open(name,mode);
	if (ret<0) {
		fprintf(stderr,"Cannot open file '%s', mode=%d\n",name,mode);
		}
	return(ret);
	}

void main(argc,argv)
int argc;
char *argv[]; {
	struct quickroom QRtemp;
	int file;
	char ROOM_TO_UNDELETE[32];

	if (argc==2) {
		strcpy(ROOM_TO_UNDELETE,argv[1]);
		}
	else {
		strcpy(ROOM_TO_UNDELETE,"___nbodsfsdf___");
		}

	file=eopen("quickroom",O_RDWR);
	while(read(file,&QRtemp,sizeof(struct quickroom))>0) {
		printf("%5s %8s %19s %ld\n",
			(QRtemp.QRflags&QR_INUSE ? "Inuse" : "Dead "),
			(QRtemp.QRflags&QR_ANONONLY ? "AnonOnly" : " "),
			QRtemp.QRname,QRtemp.QRroomaide);
		if (!strcmp(QRtemp.QRname,ROOM_TO_UNDELETE)) {
			QRtemp.QRflags = (QRtemp.QRflags | QR_INUSE);
			lseek(file,(0L-sizeof(struct quickroom)),1);
			write(file,&QRtemp,sizeof(struct quickroom));
			}
		}
	exit(close(file));
	}
